<?PHP

session_start();

$tipo_local = 1;

include("../var_configs_admin.php");
include("../../secure/secure.php");
include ('../../conf/configuracao.php');



//VERIFICANDO O VESTIBULAR EM ANDAMENTO

mysql_connect( $bd_host, $bd_user, $bd_senha )

	or die ( 'Não foi possível conectar ao Servidor.' );

mysql_select_db( $bd_database )

	or die ( 'Não foi possível conectar a Base de Dados.' );

$query_vest = @mysql_query("SELECT * FROM vestibulares WHERE codigo=".$qual_vestibular);

$array_vest = @mysql_fetch_array($query_vest);

$codigo_vest = $array_vest[codigo];

$vestibular = $array_vest[vestibular];

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>

<head>

	<title>Salas</title>

</head>

<body bgcolor="#FFFFFF" text="#000000" link="#0000FF" vlink="#0000FF" alink="#FF0000">

<table width="95%" border="0" cellspacing="0" cellpadding="0" align="center">

<tr>

	<td>

		<br>

					<br>

					<strong><font face="Verdana" size="2" color="#800000">Salas:</font></strong><br>

					<br>

		<li><a href='salas.php?funcao=1&<? echo "qual_vestibular=".$qual_vestibular; ?>'><font face="Verdana" size="2" color="#000000">Cadastrar Sala</font></a></li><br>

					<li><a href='salas.php?funcao=2&<? echo "qual_vestibular=".$qual_vestibular; ?>'><font face="Verdana" size="2" color="#000000">Alterar/Excluir Sala</a></font></li>

					<br>

				<!--	<li><a href="salas.php?funcao=4"><font face="Verdana" size="2" color="#000000">Listar Salas</a></font></li><br>-->

	</td>

</tr>

</table>

		<?

	##

	# Cadastro

	##

	if ($funcao == 1) {

?>

		<div align="center">

			<strong><font face="Verdana" size="2" color="#FF0000">Cadastrando Salas do Vestibular: </font><? echo $codigo_vest ." - " . $vestibular;?>

<?			

			if (!isset($Submit)) {

?>

					<form action="salas.php" method="post">

						<table width="95%" border="1" cellspacing="0" cellpadding="0" align="center">

							<tr>

								<td><font face="Verdana" size="2" color="#000000"><strong>Descri&ccedil;&atilde;o da Sala</strong></font></td>

								<td><input type="text" name="vsala" size="50" maxlength="2"></td>

							</tr>

							<tr>

								<td><font face="Verdana" size="2" color="#000000"><strong>Grupo de Repescagem</strong></font></td>

								<td><input type="text" name="vgrupo" size="50" maxlength="1"><font size="2" color="red">(Ex.: A, B)</font></td>

							</tr>

							<tr>

								<td><font face="Verdana" size="2" color="#000000"><strong>Capacidade</strong></font></td>

								<td><input type="text" name="vcapacidade" size="50" maxlength="4"></td>

							</tr>

							<tr>

								<td><font face="Verdana" size="2" color="#000000"><strong>Endere&ccedil;o</strong></font></td>

								<td><input type="text" name="vendereco" size="50" maxlength="40"></td>

							</tr>

							<tr>

								<td><font face="Verdana" size="2" color="#000000"><strong>Complemento</strong></font></td>

								<td><input type="text" name="vcomplemento" size="50" maxlength="40"></td>

							</tr>

						<tr>

							<td><font face="Verdana" size="2" color="#000000"><strong>Cidade</strong></font></td>

							<td>
							<?php
								echo '<font face="verdana" size="2" color="000000"><b>';
								$vest = explode(",",$var_Vestibular[$qual_vestibular]);
								for ($i=0;$i<count($vest);$i++)
								{
									for ($j=1;$j<count($var_Cidades);$j++)
									{
										if ($vest[$i]==$var_Cidades[$j])
										{
											echo '<input type="radio" name="local_prova" value="'.$j.'"';
											if ($local_da_prova_do_candidato==$j)
                                                                                           {echo ' checked';}
										        echo '>'.$var_Cidades[$j];
											echo '&nbsp;&nbsp;';
										}
									}
								}
								echo '</b></font>';
							?>
   							</td>

						</tr>

						<tr>

								<td colspan="2">

									<div align="center">

										<input type="submit" name="Submit" value="Cadastrar"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <input type="reset" value="Limpar Campos"> <input type="hidden" name="funcao" value="<? echo $funcao; ?>"><input type="hidden" name="qual_vestibular" value="<? echo $codigo_vest; ?>" border="0"></div>

								</td>

							</tr>

						</table>

					</form>

					<? 	}

	else {

		mysql_connect( $bd_host, $bd_user, $bd_senha )

			or die ( 'Não foi possível conectar ao Servidor.' );

		mysql_select_db( $bd_database )

			or die ( 'Não foi possível conectar a Base de Dados.' );



		//INCLUSAO DE SALA

		$sql = "insert into salas (sala, grupo, capacidade, endereco, complemento, qual_vestibular,cidade) values ('$vsala', '$vgrupo', '$vcapacidade', '$vendereco', '$vcomplemento','$codigo_vest','$cxcidade')";

  		$result = mysql_query($sql)

			or die ( 'Não foi possivel efetuar a inclusao de uma nova sala.' );

		echo '<br><br><br><font face="Verdana" size="3" color="#FF0000"><div align="center"><strong>Cadastro Efetuado</strong></div></font>';

	}

?><? 		exit;

	}

?><? 	##

	# Alteracao

	#

	if ($funcao == 2)

	{

		if (!isset($qual))

		{

			mysql_connect( $bd_host, $bd_user, $bd_senha )

				or die ( 'Não foi possível conectar ao Servidor.' );

			mysql_select_db( $bd_database )

				or die ( 'Não foi possível conectar a Base de Dados.' );

			$sql = "SELECT * FROM salas WHERE qual_vestibular='$codigo_vest' ORDER by codigo_sala ASC";

			$result = mysql_query($sql)

				or die ( 'Não foi possível executar a query 161.' );

			$num = mysql_num_rows($result);

			if ($num == 0 ) 

			{

				echo '<br><br><center><font color="#FF0000" face="Verdana" size="3"><b>Não existe nenhuma sala cadastrada no Sistema!</b></font>';

				exit;

			}

			else

			{

				echo '<strong><div align="center"><font face="Verdana" size="2">ALTERANDO/EXCLUINDO Salas</font></div></strong>';

				echo '<br><table width="95%" border="1" cellspacing="0" cellpadding="0" align="center">';

				$cor = "FFFFFF";



				echo '<tr>';

				echo '<td width="4%" align="center" bgcolor="' . $cor . '">';

				echo '<font face ="verdana" size = "1">Código</font></a>';

				echo '</td>';

				echo '<td width="20%" align="center" bgcolor="' . $cor . '">';

				echo '<font face ="verdana" size = "1">Descrição da Sala</font>';

				echo '</td>';

				echo '<td width="20%" align="center" bgcolor="' . $cor . '">';

				echo '<font face ="verdana" size = "1">Capacidade</font>';

				echo '</td>';

				echo '<td width="4%" align="center" bgcolor="' . $cor . '">';

				echo '<font face ="verdana" size = "1">Qtdade Ocupada</font>';

				echo '</td>';

				echo '<td width="15%" align="center" bgcolor="' . $cor . '">';

				echo '<font face ="verdana" size = "1">Endereço</font>';

				echo '</td>';

				echo '<td width="10%" align="center" bgcolor="' . $cor . '">';

				echo '<font face ="verdana" size = "1">Complemento</font>';

				echo '</td>';





				while($information = mysql_fetch_array($result))

				{

					if ($cor == "FFFFFF") 

					{

						$cor = "E1E1E1";

					}

					else 

					{

						$cor = "FFFFFF";

					}

					echo '<tr>';

					echo '<td width="4%" align="center" bgcolor="' . $cor . '">';

					echo '<a href="salas.php?funcao=2&qual='. $information["codigo_sala"] . '"><font face ="verdana" size = "1">' . $information["codigo_sala"] . '</font></a>';

					echo '</td>';

					echo '<td width="20%" align="left" bgcolor="' . $cor . '">';

					echo '<font face ="verdana" size = "1">Sala ' . $information["sala"] . '</font>';

					echo '</td>';

					echo '<td width="20%" align="center" bgcolor="' . $cor . '">';

					echo '<font face ="verdana" size = "1">' . $information["capacidade"] . '</font>';

					echo '</td>';

					echo '<td width="4%" align="center" bgcolor="' . $cor . '">';

					echo '<font face ="verdana" size = "1">' . $information["qtdade_ocupada"] . '</font>';

					echo '</td>';

					echo '<td width="15%" align="left" bgcolor="' . $cor . '">';

					echo '<font face ="verdana" size = "1">' . $information["endereco"] . '</font>';

					echo '</td>';

					echo '<td width="10%" align="left" bgcolor="' . $cor . '">';

					echo '<font face ="verdana" size = "1">' . $information["complemento"]  . '</font>';

					echo '</td>';



				}

			}

?></font></strong>

			<div align="center">

				<strong><font face="Verdana" size="2" color="#FF0000"><strong><font face="Verdana" size="2" color="#FF0000">Clique no C&Oacute;DIGO da Sala a ser ALTERADA/EXCLUIDA.</font></strong></font></strong></div>

			<strong><font face="Verdana" size="2" color="#FF0000"><br>

					<? 	}

	else 

	{

		if (!isset($Submit))

		{

			mysql_connect( $bd_host, $bd_user, $bd_senha )

				or die ( 'Não foi possível conectar ao Servidor.' );

			mysql_select_db( $bd_database )

				or die ( 'Não foi possível conectar a Base de Dados.' );

			$sql = "SELECT * FROM salas Where codigo_sala = $qual";

			$result = mysql_query($sql)

				or die ( 'Não foi possível executar a query 161a.' );

			$num = mysql_num_rows($result);

			$temporario = mysql_fetch_array($result);

?>

					<form action="salas.php" method="post">

						<table width="95%" border="1" cellspacing="0" cellpadding="0" align="center">

							<tr>

								<td width="30%"><font face="Verdana" size="2" color="#000000"><strong>C&oacute;digo da Sala</strong></font></td>

								<td width="70%"><input type="text" name="codigo" disabled size="50" maxlength="3" value="<? echo $temporario[codigo_sala]; ?>"></td>

							</tr>

							<tr>

								<td><font face="Verdana" size="2" color="#000000"><strong>Descri&ccedil;&atilde;o da Sala</strong></font></td>

								<td><input type="text" name="vsala" size="50" maxlength="2" value="<? echo $temporario[sala]; ?>"></td>

							</tr>

							<tr>

								<td><font face="Verdana" size="2" color="#000000"><strong>Grupo de Repescagem</strong></font></td>

								<td><input type="text" name="vgrupo" size="50" maxlength="1" value="<? echo $temporario[grupo]; ?>"><font size="2" color="red">(Ex.: A, B)</font></td>

							</tr>

							<tr>

								<td><font face="Verdana" size="2" color="#000000"><strong>Capacidade</strong></font></td>

								<td><input type="text" name="vcapacidade" size="50" maxlength="4" value="<? echo $temporario[capacidade]; ?>"></td>

							</tr>

							<tr>

								<td><font face="Verdana" size="2" color="#000000"><strong>Quantidade Ocupada</strong></font></td>

								<td><input type="text" name="vqtdade_ocupada" disabled size="50" maxlength="4" value="<? echo $temporario[qtdade_ocupada]; ?>"></td>

							</tr>

							<tr>

								<td><font face="Verdana" size="2" color="#000000"><strong>Endere&ccedil;o</strong></font></td>

								<td><input type="text" name="vendereco" size="50" maxlength="40" value="<? echo $temporario[endereco]; ?>"></td>

							</tr>

							<tr>

								<td><font face="Verdana" size="2" color="#000000"><strong>Complemento</strong></font></td>

								<td><input type="text" name="vcomplemento" size="50" maxlength="40" value="<? echo $temporario[complemento]; ?>"></td>

							</tr>

							<tr>

								<td><font face="Verdana" size="2" color="#000000"><strong>Cidade</strong></font></td>

								<td>
								<?php  
									//$temporario[cidade];
			
									echo '<font face="verdana" size="2" color="000000"><b>';
												
									$vest = explode(",",$var_Vestibular[$qual_vestibular]);
												
									for ($i=0;$i<count($vest);$i++)
									{
										for ($j=1;$j<count($var_Cidades);$j++)
										{
											if ($vest[$i]==$var_Cidades[$j])
											{
												echo '<input type="radio" name="cxcidade" value="'.$j.'"';
												if ($temporario[cidade]==$j){echo ' checked';} echo '>'.$var_Cidades[$j];
													echo '&nbsp;&nbsp;';									
											}
										}
									}
									echo '</b></font>';
								?>			
								</td>

							</tr>

							<tr>

								<td colspan="2">

									<div align="center">

										<input type="submit" name="Submit" value="Alterar Sala"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <input type="submit" name="Submit" value="Excluir Sala"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <input type="reset" value="Limpar Campos"> <input type="hidden" name="funcao" value="<? echo $funcao; ?>"> <input type="hidden" name="qual" value="<? echo $qual; ?>"><input type="hidden" name="qual_vestibular" value="<? echo $codigo_vest; ?>" border="0"><input type="hidden" name="vocupada" value="<? echo $temporario[qtdade_ocupada]; ?>" border="0"></div>

								</td>

							</tr>

						</table>

					</form>

					<? 	}

	else

	{

		if ($Submit == 'Alterar Sala')

		{

			if ($vocupada > $vcapacidade)

			{

				echo '<br><br><br><center><font color="#FF0000" face="Verdana" size="3"><b>Não foi possivel alterar sala.<br>A capacidade NÃO pode ser menor que a quantidade ocupada!</font>';

			}

			else

			{

				mysql_connect( $bd_host, $bd_user, $bd_senha )

					or die ( 'Não foi possível conectar ao Servidor.' );

				mysql_select_db( $bd_database )

					or die ( 'Não foi possível conectar a Base de Dados.' );

				mysql_query("update salas set sala='$vsala', grupo='$vgrupo', capacidade='$vcapacidade', endereco='$vendereco', complemento='$vcomplemento', cidade = '$cxcidade' where codigo_sala = $qual")

					or die ( '<br><br><br>Não foi possivel efetuar a alteracao dos dados da sala.' );

				echo '<br><br><br><center><font color="#000000" face="Verdana" size="3"><b>Sala Alterada!</font>';

			}

		}

		if ($Submit == 'Excluir Sala')

		{

			mysql_connect( $bd_host, $bd_user, $bd_senha )

				or die ( 'Não foi possível conectar ao Servidor.' );

			mysql_select_db( $bd_database )

				or die ( 'Não foi possível conectar a Base de Dados.' );



			$query_candidato = @mysql_query("SELECT * FROM candidato WHERE codigo_sala = $qual");



			$numcan= mysql_num_rows($query_candidato);

			if ($numcan == 0 )

			{			

				$remocao = "Delete from salas where codigo_sala=$qual";

				$executa_remocao = mysql_query($remocao)

					or die ( 'Não foi executada a remoção.' );

				echo '<br><br><br><center><font color="#000000" face="Verdana" size="3"><b>Sala Excluída</font>';

			}

			else

			{

				echo '<br><br><br><center><font color="#000000" face="Verdana" size="3"><b>Não foi possível excluir a sala devido a existência de candidatos alocados nela.</font>';

			}

		}

	}

	}

		exit;

	}

?></font></strong>

		

			

</body>

</html>



